open-vm-tools 10.3.10

Macros | Typedefs | Functions
i18n.c File Reference
`#include <errno.h>`
`#include <locale.h>`
`#include <stdio.h>`
`#include <glib/gprintf.h>`
`#include "vmware.h"`
`#include "dictll.h"`
`#include "escape.h"`
`#include "file.h"`
`#include "guestApp.h"`
`#include "hashTable.h"`
`#include "str.h"`
`#include "unicode.h"`
`#include "vmtoolsInt.h"`
`#include "vmware/tools/i18n.h"`
`#include "vmware/tools/utils.h"`

## Macros
#define | MSG_MAX_ID 128
#define | MSG_MAGICAL(s) (strncmp(s, MSG_MAGIC"X", MSG_MAGIC_LEN) == 0)

## Typedefs
typedef struct MsgCatalog | MsgCatalog
typedef struct MsgState | MsgState

## Functions
void | VMToolsMsgCleanup (void)
void | VMTools_BindTextDomain (const char *domain, const char *lang, const char *catdir)
const char * | VMTools_GetString (const char *domain, const char *msgid)

## Detailed Description

Implementation of the i18n-related functions of the Tools library.

## Function Documentation

## ◆ VMToolsMsgCleanup()

void VMToolsMsgCleanup | ( | void |  | ) |

Cleanup internal state, freeing up any used memory. After calling this function, it's not safe to call any of the API exposed by this file, so this is only called internally when the library is being unloaded.